For the complete documentation index, see llms.txt. This page is also available as Markdown.

Members

List Organization Members Endpoint

get

Endpoint to list organization members.

Args: organization_id: ID of the organization for which to list the members. role_id: ID of the role to filter by. include_teams: Include teams in the result. include_users: Include users in the result. include_service_accounts: Include service accounts in the result. include_invitations: Include invitations in the result. user: The authenticated user. rbac: RBAC component. organization_manager: Organization manager

Returns: List of organization members.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
organization_idstring · uuidRequired
Query parameters
role_idstring · uuid · nullableOptional
include_usersbooleanOptionalDefault: true
include_service_accountsbooleanOptionalDefault: true
include_teamsbooleanOptionalDefault: true
include_invitationsbooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Organization/Workspace/Project member model.

get/organizations/{organization_id}/members
GET /organizations/{organization_id}/members HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "user": {
      "password": "text",
      "password_expired": true,
      "name": "text",
      "avatar_url": "text",
      "company": "text",
      "job_title": "text",
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "username": "text",
      "email": "text",
      "oauth_provider": "text",
      "oauth_id": "text",
      "is_active": true,
      "is_superuser": false,
      "is_service_account": false,
      "organization_id": "123e4567-e89b-12d3-a456-426614174000",
      "password_changed_at": "2026-01-01T00:00:00.000Z",
      "is_onboarded": false
    },
    "team": {
      "name": "text",
      "description": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "created": "2026-01-01T00:00:00.000Z",
      "updated": "2026-01-01T00:00:00.000Z",
      "member_count": 1
    },
    "invitation": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "inviting_user_id": "123e4567-e89b-12d3-a456-426614174000",
      "email": "name@gmail.com",
      "organization_id": "123e4567-e89b-12d3-a456-426614174000",
      "expiration_date": "2026-01-01T00:00:00.000Z",
      "state": "pending",
      "auto_accept": false
    },
    "roles": [
      {
        "role_id": "123e4567-e89b-12d3-a456-426614174000",
        "level": "organization",
        "via_team": true
      }
    ]
  }
]

Remove Organization Member Endpoint

delete

Endpoint to remove a member from an organization.

Args: organization_id: ID of the organization from which to remove the user. user_id: ID of the user to remove from the organization. user: The authenticated user. rbac: RBAC component. organization_manager: Organization manager. user_manager: User manager.

Raises: IllegalOperationError: If the member is a service account.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
organization_idstring · uuidRequired
Query parameters
user_idstring · uuidRequired
Responses
200

Successful Response

application/json
anyOptional
delete/organizations/{organization_id}/members
DELETE /organizations/{organization_id}/members?user_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

ZenML Scarf

Last updated

Was this helpful?